<?php
namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\Sm00004005ParamFaturaItemContratoFactory;
use Teknisa\Libs\Util\Environment;

class Sm00004005ParamFaturaItemContratoService {
    
    protected $RelacElementoFactory;
    protected $Environment;
    
    public function __construct (Sm00004005ParamFaturaItemContratoFactory $ParamFaturaItContratoFactory, Environment $Environment){
        $this->ParamFaturaItContratoFactory  = $ParamFaturaItContratoFactory;
        $this->Environment  = $Environment;
    }
    
    /**
     * A função "insereDadosContrato" insere os dados de parametização 
     * de fatiuramento na tabela de Contrato (FCT_CONTRATO).
     */
    public function atualizarDadosItContrato($idFaturaContr, $cdModPgto, $qtParcelasFatu, $nrDiaVencParcelasFatu, $seqContrato, $seqitContrato){
    
        $paramsInsereDadosContr = array(
            "IDFATURACONTR" => $idFaturaContr,
            "CDMODPGTO" => $cdModPgto,
            "QTPARCELASFATU" => $qtParcelasFatu,
            "NRDIAVENCPARCELASFATU" => $nrDiaVencParcelasFatu,
            "NRSEQCONTRATO"   => $seqContrato,
            "NRITEMOCONTRATO" => $seqitContrato,
            "NRORG"           => $this->Environment->getNrOrg()
        );
        
        $this->ParamFaturaItContratoFactory->atualizarDadosItContrato($paramsInsereDadosContr);
    }
}

?>